<?php

/**
 * Edition d'un article
 *
 * @package PLX
 * @author	Stephane F et Florent MONTHEL
 **/

include('prepend.php');

# On édite notre article
if(!empty($_POST)) { # Création, mise à jour, suppression ou aperçu
	$_POST = plxUtils::unSlash($_POST);
	if(trim($_POST['title']) == '') $_POST['title'] = 'Nouvel article'; # Si titre vide ;)
	if(isset($_POST['delete'])) { # Suppression, on redirige
		header('Location: ./?del='.$_POST['artId'].'&hash='.$_SESSION['hash']);
		exit;
	}
	if(!isset($_POST['preview'])) { # Mode création ou maj
		$msg = $plxAdmin->editArticle($_POST,$_POST['artId']);
		header('Location: article.php?a='.$_POST['artId'].'&msg='.urlencode($msg));
		exit;
	} else { # Mode preview
		$artId = $_POST['artId'];
		$title = trim($_POST['title']);
		$author = $_POST['author'];
		$catId = $_POST['catId'];
		$date['day'] = $_POST['day'];
		$date['month'] = $_POST['month'];
		$date['year'] = $_POST['year'];
		$date['time'] = $_POST['time'];
		$chapo = trim($_POST['chapo']);
		$content =  trim($_POST['content']);
		$url = $_POST['url'];
		$allow_com = $_POST['allow_com'];
		$title_page = 'Pr&eacute;visualisation d\'un article';
	}
} elseif(!empty($_GET['a'])) { # On n'a rien validé, c'est pour l'édition d'un article
	# On va rechercher notre article
	if(($aFile = $plxAdmin->plxGlob_arts->query('/^'.$_GET['a'].'.(.+).xml$/','','sort',0,1)) == false) { # Article inexistant
		$msg = 'L\'article demand&eacute; n\'existe pas ou n\'existe plus !';
		header('Location: ./?msg='.urlencode($msg));
		exit;
	}
	# On parse et alimente nos variables
	$result = $plxAdmin->parseArticle(PLX_ROOT.$plxAdmin->aConf['racine_articles'].$aFile['0']);
	$title = trim($result['title']);
	$chapo = trim($result['chapo']);
	$content =  trim($result['content']);
	$author = $result['author'];
	$url = $result['url'];	
	$date = plxUtils::heureIso2Admin($result['date']);
	$catId = $result['categorie'];	
	$artId = $result['numero'];
	$allow_com = $result['allow_com'];
	$title_page = 'Modification d\'un article';
} else { # On a rien validé, c'est pour la création d'un article
	$title = 'Nouvel article';
	$chapo = $url = '';
	$content = '<p></p>';
	$author = $_SESSION['author'];
	$date = array ('year' => date('Y'),'month' => date('m'),'day' => date('d'),'time' => date('H:i'));
	$catId = '';
	$artId = '0000';
	$allow_com = $plxAdmin->aConf['allow_com'];
	$title_page = 'Nouvel article';
}

# Génération de notre tableau des catégories
if($plxAdmin->aCats) {
	foreach($plxAdmin->aCats as $k=>$v)
		$aCat[$k] = htmlspecialchars($v['name'],ENT_QUOTES,PLX_CHARSET);
	$aAllCat['Cat&eacute;gories'] = $aCat;
}
$aAllCat['Emplacements sp&eacute;cifiques']['home'] = 'Page d\'accueil';
$aAllCat['Emplacements sp&eacute;cifiques']['draft'] = 'Brouillons';

# On inclut le header
include('top.php');
?>

<h2><?php echo $title_page; ?></h2>

<?php # On a un aperçu
if (isset($_POST['preview'])) {
	# On remplace les chemins des images et documents (pas au même niveau)
	$_chapo = str_replace('src="'.$plxAdmin->aConf['images'],'src="'.PLX_ROOT.$plxAdmin->aConf['images'],$chapo);
	$_chapo = str_replace('href="./?telechargement/','href="'.PLX_ROOT.'?telechargement/',$_chapo);
	$_content = str_replace('src="'.$plxAdmin->aConf['images'],'src="'.PLX_ROOT.$plxAdmin->aConf['images'],$content);
	$_content = str_replace('href="./?telechargement/','href="'.PLX_ROOT.'?telechargement/',$_content);
	echo '<div id="preview"><blockquote><h3>'.htmlspecialchars($title,ENT_QUOTES,PLX_CHARSET).'</h3>'.$_chapo.'<br />'.$_content.'</blockquote></div>';
}
?>

<form action="article.php" method="post" id="change-art-content">
	<fieldset>
		<?php plxUtils::printInput('artId',$artId,'hidden'); ?>
		<?php plxUtils::printInput('author',htmlspecialchars($author,ENT_QUOTES,PLX_CHARSET),'hidden'); ?>
		<p class="field">
			<label>Titre&nbsp;:</label>
			<?php plxUtils::printInput('title',htmlspecialchars($title,ENT_QUOTES,PLX_CHARSET),'text','50-255'); ?> par <strong><?php echo $author; ?></strong>
		</p>
		<p class="field">
			<label>Emplacement&nbsp;:</label>
			<?php plxUtils::printSelect('catId',$aAllCat,$catId); ?>
		</p>
		<p class="field"><label>Chap&ocirc; (facultatif)&nbsp;:</label></p>
		<?php plxUtils::printArea('chapo',htmlspecialchars($chapo,ENT_QUOTES,PLX_CHARSET),60,4); ?>
		<p class="field"><label>Contenu&nbsp;:</label></p>
		<?php plxUtils::printArea('content',htmlspecialchars($content,ENT_QUOTES,PLX_CHARSET),60,20); ?>
		<p class="field"><label>Date&nbsp;:</label></p>
			<?php plxUtils::printInput('day',$date['day'],'text','2-2'); ?>
			<?php plxUtils::printInput('month',$date['month'],'text','2-2'); ?>
			<?php plxUtils::printInput('year',$date['year'],'text','4-4'); ?>
			<?php plxUtils::printInput('time',$date['time'],'text','5-5'); ?>
			<a href="javascript:void(0)" onclick="dateNow(); return false;">maintenant</a>
		<p class="field">
			<label>Url (se remplit automatiquement &agrave; la cr&eacute;ation)&nbsp;:</label></p>
			<?php plxUtils::printInput('url', $url); ?>
		<p class="field">
			<label>Autoriser les commentaires&nbsp;:</label></p>
			<?php plxUtils::printSelect('allow_com',array('1'=>'Oui','0'=>'Non'),$allow_com); ?>
		<p>
			<input type="submit" name="preview" value="Pr&eacute;visualisation"/>
			<input type="submit" name="update" value="Enregistrer"/>
			<input type="submit" name="delete" value="Supprimer" onclick="Check=confirm('Supprimer cet article ?');if(Check==false) return false;"/>
		</p>
	</fieldset>
</form>

<?php
# On inclut le footer
include('foot.php');
?>