<?php

/**
 * Gestion des documents
 *
 * @package PLX
 * @author	Stephane F. et Florent MONTHEL
 **/
 
include('prepend.php');

# Rcupration des documents du dossier
$dirDoc = PLX_ROOT.$plxAdmin->aConf['documents'];
$plxDoc = & new plxGlob($dirDoc);
$aDoc = $plxDoc->query('/^(.*?)\.(.*?)$/');
# Suppression d'un documents
if(isset($_GET['del']) AND !empty($_GET['hash']) AND $_GET['hash'] == $_SESSION['hash'] AND isset($aDoc[ $_GET['del'] ]) AND file_exists($dirDoc.$aDoc[ $_GET['del'] ])) {
	# On supprime le document
	if(!@unlink($dirDoc.$aDoc[ $_GET['del'] ])) # Erreur de suppression
		$msg = 'Impossible de supprimer le document (probl&egrave;me d\'&eacute;criture dans le dossier '.$dirDoc.')';
	else # Ok
		$msg = 'Document supprim&eacute; &agrave; '.date('H:m:s');
	header('Location: documents.php?msg='.urlencode($msg));
	exit;
}
# Envoi d'un documents
if(!empty($_FILES) AND !empty($_FILES['doc']['name'])) {
	# On teste l'existence du doc et on formate le nom du fichier
	$i = 0;
	$upFile = $dirDoc.plxUtils::title2filename(plxUtils::unSlash(basename($_FILES['doc']['name'])));
	while(file_exists($upFile)) {
		$upFile = $dirDoc.$i.plxUtils::title2filename(plxUtils::unSlash(basename($_FILES['doc']['name'])));
		$i++;
	}
	if(!@move_uploaded_file($_FILES['doc']['tmp_name'],$upFile)) # Erreur de copie
		$msg = 'Impossible d\'envoyer le document (probl&egrave;me d\'&eacute;criture dans le dossier '.$dirDoc.')';
	else # Ok
		$msg = 'Document envoy&eacute; &agrave; '.date('H:m:s');
	# On redirige
	header('Location: documents.php?msg='.urlencode($msg));
	exit;
}
?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN"
"http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="fr" lang="fr">
<head>
<title>Gestion des documents - Pluxml</title>
<meta http-equiv="Content-Type" content="text/html; charset=<?php echo strtolower(PLX_CHARSET); ?>" />
<link rel="stylesheet" type="text/css" href="admin.css" media="screen" />
<script type="text/javascript" src="../lib/functions.js"></script>
</head>

<body class="popup">
	<h2>Uploader et g&eacute;rer les documents</h2>
	<?php (!empty($_GET['msg']))?plxUtils::showMsg(plxUtils::unSlash(urldecode(trim($_GET['msg'])))):''; ?>	
	<form enctype="multipart/form-data" action="documents.php" method="post">
		<fieldset class="withlabel">
			<legend>Uploader un fichier</legend>
			<p><input name="doc" type="file" />
			<input type="submit" name="upload" value="envoyer" /></p>
		</fieldset>
	</form>
	<h2>Galeries de documents</h2>
	<table class="list-articles">
	<thead>
		<tr>
			<th width="65%">Nom du fichier</th>
			<th width="15%">Action</th>
		</tr>
	</thead>
	<tbody>
<?php if(!$aDoc) { # Aucun document ?>
		<tr class="line-0">
			<td colspan="2" class="center">Aucun document</td>
		</tr>
<?php } else { # On a des documents
	$nb = count($aDoc);
	for($i=0; $i < $nb; $i++) { ?>
		<tr class="line-<?php echo $i%2; ?>">
			<td class="tc1">&nbsp;<?php echo plxUtils::strCut($aDoc[$i],100); ?></td>
			<td class="tc1">&nbsp;
				<a href="javascript:void(0)" title="Ajouter le fichier dans le chapo" onclick="opener.insdoc('chapo', '<?php echo plxEncrypt::encryptId($aDoc[$i]) ?>', '<?php echo $aDoc[$i] ?>')">
				<img src="img/layout-chapo.png" alt="Ajouter chapo" /></a>&nbsp; 
				<a href="javascript:void(0)" title="Ajouter le fichier dans le contenu" onclick="opener.insdoc('content', '<?php echo plxEncrypt::encryptId($aDoc[$i]) ?>', '<?php echo $aDoc[$i] ?>')">
				<img src="img/layout-content.png" alt="Ajouter contenu" /></a>&nbsp;
				<a href="documents.php?del=<?php echo $i.'&amp;hash='.$_SESSION['hash'] ?>" title="Supprimer le fichier" onclick="Check=confirm('Supprimer ce fichier ?');if(Check==false) return false;">
				<img src="img/delete.png" alt="Supprimer" /></a>
			</td>
        </tr>
	<?php } # Fin for liste des documents ?>
<?php } # Fin else on a des documents ?>
	</tbody>
	</table>
</body>