<?php

/**
 * Edition des paramètres de base
 *
 * @package PLX
 * @author	Florent MONTHEL
 **/

include('prepend.php');

# On édite la configuration
if (!empty($_POST)) {
	$msg = $plxAdmin->editConfiguration($plxAdmin->aConf,plxUtils::unSlash($_POST));
	header('Location: parametres_base.php?msg='.urlencode($msg));
	exit;
}

# Tableau du delta
for($i=-12;$i < 14; $i++)
	$delta[ plxUtils::formatRelatif($i,2).':00' ] = plxUtils::formatRelatif($i,2).':00';

# On inclut le header
include('top.php');
?>

<h2>Edition des param&egrave;tres de Pluxml</h2>

<div id="sous_navigation">
	<ul>
		<li><a href="parametres_base.php" id="link_config" title="Modifier la configuration de base de votre Pluxml">Configuration de base</a></li>
		<li><a href="parametres_affichage.php" id="link_config" title="Modifier les options d'affichage de votre Pluxml">Options d'affichages</a></li>
		<li><a href="parametres_avances.php" id="link_config" title="Modifier la configuration avanc&eacute;e de votre Pluxml">Configuration avanc&eacute;e</a></li>
		<li><a href="parametres_compte.php" id="link_config" title="Modifier le compte r&eacute;dacteur de votre Pluxml">Compte r&eacute;dacteur</a></li>
		<li><a href="parametres_version.php?hash=<?php echo $_SESSION['hash']; ?>" id="link_config" title="V&eacute;rifier la version officielle sur Pluxml.org">V&eacute;rifier la version officielle</a></li>
	</ul>
</div>

<form action="parametres_base.php" method="post" id="change-cf-file">
	<fieldset class="withlabel">
		<legend>Configuration de base :</legend>	
		<p class="field"><label>Titre du site&nbsp;:</label></p>
		<?php plxUtils::printInput('title', htmlspecialchars($plxAdmin->aConf['title'],ENT_QUOTES,PLX_CHARSET)); ?>
		<p class="field"><label>Sous-titre/description du site&nbsp;:</label></p>
		<?php plxUtils::printInput('description', htmlspecialchars($plxAdmin->aConf['description'],ENT_QUOTES,PLX_CHARSET)); ?>
		<p class="field"><label>Racine du site (ex : http://pluxml.org/pluxml/)&nbsp;:</label></p>
		<?php plxUtils::printInput('racine', $plxAdmin->aConf['racine']);?>
		<p class="field"><label>Fuseau horaire&nbsp;:</label></p>
		<?php plxUtils::printSelect('delta', $delta, $plxAdmin->aConf['delta']); ?>
		<p class="field"><label>Autoriser les commentaires&nbsp;:</label></p>
		<?php plxUtils::printSelect('allow_com',array('1'=>'Oui','0'=>'Non'), $plxAdmin->aConf['allow_com']); ?>
		<p class="field"><label>Mod&eacute;rer les commentaires &agrave; la cr&eacute;ation&nbsp;:</label></p>
		<?php plxUtils::printSelect('mod_com',array('1'=>'Oui','0'=>'Non'), $plxAdmin->aConf['mod_com']); ?>
	</fieldset>
	<p><input type="submit" value="Modifier la configuration de base" /></p>
</form>

<h2>Informations relatives &agrave; Pluxml</h2>

<p>Ces informations vous renseignent sur le fonctionnement de votre Pluxml et peuvent s'av&eacute;rer utiles pour son d&eacute;pannage.</p>

<ul>
	<li><strong>Version : <?php echo $plxAdmin->version; ?></strong></li>
	<li><?php plxUtils::testWrite(PLX_CONF); ?></li>
	<li><?php plxUtils::testWrite(PLX_ROOT.$plxAdmin->aConf['categories']); ?></li>
	<li><?php plxUtils::testWrite(PLX_ROOT.$plxAdmin->aConf['statiques']); ?></li>
	<li><?php plxUtils::testWrite(PLX_ROOT.$plxAdmin->aConf['passwords']); ?></li>
	<li><?php plxUtils::testWrite(PLX_ROOT.$plxAdmin->aConf['racine_articles']); ?></li>
	<li><?php plxUtils::testWrite(PLX_ROOT.$plxAdmin->aConf['racine_commentaires']); ?></li>
	<li><?php plxUtils::testWrite(PLX_ROOT.$plxAdmin->aConf['racine_statiques']); ?></li>
	<li>Nombre de cat&eacute;gories : <?php echo count($plxAdmin->aCats); ?></li>
	<li>Nombre de pages statiques : <?php echo count($plxAdmin->aStats); ?></li>
	<li>Nom du r&eacute;dacteur en session : <?php echo htmlspecialchars($_SESSION['author'],ENT_QUOTES,PLX_CHARSET); ?></li>
</ul>

<ul>
	<li>Version de php : <?php echo phpversion(); ?></li>
	<li>Etat des "magic quotes" : <?php echo get_magic_quotes_gpc(); ?></li>
</ul>

<?php
# On inclut le footer
include('foot.php');
?>