<?php

/**
 * Classe plxUtils rassemblant les fonctions utiles à Pluxml
 *
 * @package PLX
 * @author	Florent MONTHEL et Stephane F
 **/
class plxUtils {

	function getCalendar($key, $value) {

		$aMonth = array(
			'01' => 'janvier',
			'02' => 'f&acute;vrier',
			'03' => 'mars',
			'04' => 'avril',
			'05' => 'mai',
			'06' => 'juin',
			'07' => 'juillet',
			'08' => 'ao&ucirc;t',
			'09' => 'septembre',
			'10' => 'octobre',
			'11' => 'novembre',
			'12' => 'd&eacute;cembre');	
		$aDay = array(
			'1' => 'lundi',
			'2' => 'mardi',
			'3' => 'mercredi',
			'4' => 'jeudi',
			'5' => 'vendredi',
			'6' => 'samedi',
			'0' => 'dimanche');
	
		switch ($key) {
			case 'day':
				return $aDay[ $value ]; break;
			case 'month':
				return $aMonth[ $value ]; break;
		}
	}

	function getGets() {

		if(!empty($_GET)) {
			$a = array_keys($_GET);
			return $a[0];
		}
		return false;
	}

	function unSlash($content) {

		if(get_magic_quotes_gpc() == 1) {
			if(is_array($content)) { # On traite un tableau
				while(list($k,$v) = each($content)) # On parcourt le tableau
					$new_content[ $k ] = stripslashes($v);
			} else { # On traite une chaine
				$new_content = stripslashes($content);
			}
			# On retourne le tableau modifie
			return $new_content;
		} else {
			return $content;
		}
	}

	function microtime() {

		$t = explode(' ',microtime());
		return $t[0]+$t[1];
	}

	function dateToIso($date,$delta) {

		return substr($date,0,4).'-'.
		substr($date,4,2).'-'.
		substr($date,6,2).'T'.
		substr($date,8,2).':'.
		substr($date,10,2).':00'.$delta;
	}

	function timestampToIso($timestamp,$delta) {

		return date('Y-m-d\TH:i:s',$timestamp).$delta;
	}

	function dateIsoToHum($date) {

		# On decoupe notre date
		$year = substr($date, 0, 4);
		$month = substr($date, 5, 2);
		$day = substr($date, 8, 2);
		$day_num = date('w',mktime(0,0,0,$month,$day,$year));
		# On genere nos tableaux de traduction

		# On retourne notre date au format humain
		return plxUtils::getCalendar('day',$day_num).' '.$day.' '.plxUtils::getCalendar('month', $month).' '.$year;
	}

	function heureIsoToHum($date) {

		# On retourne l'heure au format 12:55
		return substr($date,11,2).':'.substr($date,14,2);
	}

	function checkMail($mail) {

		# On verifie le mail via une expression reguliere
		if(preg_match('/^[-+.\w]{1,64}@[-.\w]{1,64}\.[-.\w]{2,6}$/i',$mail))
			return true;
		else
			return false;
	}

	function checkSite($site) {

		# On verifie le site via une expression reguliere
		if(preg_match('/^http(s)?:\/\/[-.\w]{1,64}\.[-.\w]{2,6}$/i',$site))
			return true;
		else
			return false;
	}

	function getIp() {

		return  $_SERVER['REMOTE_ADDR'];
	}

	function heureIso2Admin($date) {

		preg_match('/([0-9]{4})-([0-9]{2})-([0-9]{2})T([0-9:]{8})((\+|-)[0-9:]{5})/',$date,$capture);
		return array ('year' => $capture[1],'month' => $capture[2],'day' => $capture[3],'time' => $capture[4],'delta' => $capture[5],);
	}

	function printSelect($name, $array, $selected='', $class='') {

		echo '<select id="id_'.$name.'" name="'.$name.'" class="'.$class.'">'."\n";
		foreach($array as $a => $b) {
			if(is_array($b)) {
				echo '<optgroup label="'.$a.'">'."\n";
				foreach($b as $c=>$d) {
					if($c == $selected)
						echo "\t".'<option value="'.$c.'" selected="selected">'.$d.'</option>'."\n";
					else
						echo "\t".'<option value="'.$c.'">'.$d.'</option>'."\n";
				}
				echo '</optgroup>'."\n";
			} else {
				if($a == $selected)
					echo "\t".'<option value="'.$a.'" selected="selected">'.$b.'</option>'."\n";
				else
					echo "\t".'<option value="'.$a.'">'.$b.'</option>'."\n";
			}
		}
		echo '</select>'."\n";
	}

	function printInput($name, $value='', $type='text', $size='50-255', $readonly=false, $class='') {

		$size = explode('-',$size);
		if($readonly)
			echo '<input id="id_'.$name.'" name="'.$name.'" type="'.$type.'" class="'.$class.'" value="'.$value.'" size="'.$size[0].'" maxlength="'.$size[1].'" class="readonly" readonly="readonly" />'."\n";
		else
			echo '<input id="id_'.$name.'" name="'.$name.'" type="'.$type.'" class="'.$class.'" value="'.$value.'" size="'.$size[0].'" maxlength="'.$size[1].'" />'."\n";	
	}

	function printArea($name, $value='', $cols='', $rows='', $class='') {
	
		echo '<textarea id="id_'.$name.'" name="'.$name.'" class="'.$class.'" cols="'.$cols.'" rows="'.$rows.'">'.$value.'</textarea>'."\n";
	}

	function testWrite($file) {

		if(is_writable($file))
			echo $file.' est accessible en &eacute;criture';
		else
			echo '<strong>'.$file.' n\'est pas accessible en &eacute;criture</strong>';
	}

	function removeAccents($str,$charset='utf-8') {

	    $str = htmlentities($str, ENT_NOQUOTES, $charset);
	    $str = preg_replace('#\&([A-za-z])(?:acute|cedil|circ|grave|ring|tilde|uml)\;#', '\1', $str);
	    $str = preg_replace('#\&([A-za-z]{2})(?:lig)\;#', '\1', $str); # pour les ligatures e.g. '&oelig;'
	    $str = preg_replace('#\&[^;]+\;#', '', $str); # supprime les autres caractères    
	    return $str;
	}

	function title2url($str) {

		$str = strtolower(plxUtils::removeAccents($str,PLX_CHARSET));
		$str = preg_replace('/[\%\&\"\s\'\:\/\[\].,-_|#*$£=`\+]+/',' ',$str);
		$str = preg_replace('/[!@]/','',$str);
		$str = str_replace('?','',$str);
		return strtr(trim($str), ' ', '-');
	}

	function title2filename($str) {

		$str = strtolower(plxUtils::removeAccents($str,PLX_CHARSET));
		$str = preg_replace('/[\%\&\"\s\'\:\/\[\]-_=]+/',' ',$str);
		$str = preg_replace('/[!@]/','',$str);
		$str = str_replace('?','',$str);
		return strtr(trim($str), ' ', '-');
	}

	function formatRelatif($num, $lenght) {

		$fnum = str_pad(abs($num), $lenght, '0', STR_PAD_LEFT);
		if($num > -1)
			return '+'.$fnum;
		else
			return '-'.$fnum;
	}

	function write($xml, $filename) {

		if(file_exists($filename)) {
			$f = fopen($filename.'.tmp', 'w'); # On ouvre le fichier temporaire
			fwrite($f, trim($xml)); # On écrit
			fclose($f); # On ferme
			unlink($filename);
			rename($filename.'.tmp', $filename); # On renomme le fichier temporaire avec le nom de l'ancien
		} else {
			$f = fopen($filename, 'w'); # On ouvre le fichier
			fwrite($f, trim($xml)); # On écrit
			fclose($f); # On ferme
		}
		if(file_exists($filename) AND !file_exists($filename.'.tmp'))
			return true;
		else
			return false;
	}

	function makeThumb($filename, $filename_out, $width, $height, $quality) {

		# Informations sur l'image
		list($width_orig,$height_orig,$type) = getimagesize($filename);
		
		# Calcul du ratio
		$ratio_w = $width / $width_orig;
		$ratio_h = $height / $height_orig;
		if($ratio_w < $ratio_h AND $ratio_w < 1) {
			$width = $ratio_w * $width_orig;
			$height = $ratio_w * $height_orig;
		} elseif($ratio_h < 1) {
			$width = $ratio_h * $width_orig;
			$height = $ratio_h * $height_orig;
		} else {
			$width = $width_orig;
			$height = $height_orig;
		}
		
		# Création de l'image
		$image_p = imagecreatetruecolor($width,$height);
		if($type == 2)
			$image = imagecreatefromjpeg($filename);
		elseif($type == 3)
			$image = imagecreatefrompng($filename);
		imagecopyresized($image_p, $image, 0, 0, 0, 0, $width, $height, $width_orig, $height_orig);
		if($type == 2)
			imagejpeg($image_p, $filename_out, $quality);
		elseif($type == 3)
			imagepng($image_p, $filename_out);
	}

	function showMsg($msg) {

		echo '<p class="msg"><strong>'.$msg.'</strong></p>';
	}

	function getRacine() {

		$doc = str_replace('install.php', '', $_SERVER['SCRIPT_NAME']);
		return trim('http://'.$_SERVER['HTTP_HOST'].$doc);
	}
	
	function charAleatoire($taille='10') {
	
		$string = '';	 
		$chaine = 'abcdefghijklmnpqrstuvwxyz0123456789ABCDEFGHIJKLMNOPQRSTUVWXYZ';	 
		mt_srand((float)microtime()*1000000);	 
		for($i=0; $i<$taille; $i++)
			$string .= $chaine[ mt_rand()%strlen($chaine) ];	 
		return $string;	 
	}
	
	function strCut($str='', $len=25) {

		return strlen($str) > $len ? substr($str, 0, $len-3).'...' : $str;
	}

}
?>